src/Web/Areas/Admin/Controllers/PartialController.cs
using Infrastructure.Cache.Interfaces;
using Services.Interfaces;
using Web.Security.Authentication;
using System.Web.Mvc;

namespace Web.Areas.Admin.Controllers
{
    [Authorize(Roles = "administrators")]
    public class PartialController : Controller
    {

        #region props

        private readonly IUserService _userService;
        private readonly ICurrentUser _currentUser;
        private readonly ISeoSettingCacheManager _siteSeoSettingCacheManager;
        private readonly IMenuService _menuService;
        private readonly ISiteVisitService _siteVisitService;
        private readonly ICurrentUser _currnetUser;

        #endregion

        #region ctor

        public PartialController(
            IUserService userService,
            ICurrentUser currentUser,
            ISeoSettingCacheManager siteSeoSettingCacheManager,
            IMenuService menuService,
            ISiteVisitService siteVisitService,
            ICurrentUser currnetUser)
        {
            _userService = userService;
            _currentUser = currentUser;
            _siteSeoSettingCacheManager = siteSeoSettingCacheManager;
            _menuService = menuService;
            _siteVisitService = siteVisitService;
            _currnetUser = currnetUser;
        }

        #endregion


        [ChildActionOnly]
        public PartialViewResult _RightMenu()
        {
            var menuHtml = _menuService.GetPanelMenuHtml(_currentUser.Id);
            return PartialView(model: menuHtml);
        }
        

        [ChildActionOnly]
        public PartialViewResult _DashboardTitle()
        {
            var siteSetting = _siteSeoSettingCacheManager.GetDefaultSetting();

            return PartialView(siteSetting);
        }

    }
}

src/Web/Areas/Member/Controllers/PartialController.cs
using Services.Interfaces;
using System.Web.Mvc;
using ViewModels.Base;
using Web.Security.Authentication;

namespace Web.Areas.Member.Controllers
{
    [Authorize(Roles = "registeredusers,verifiedusers")]
    public class PartialController : Controller
    {
        #region ctor

        private readonly IUserBalanceService _userBalanceService;
        private readonly ICurrentUser _currentUser;

        public PartialController(
            IUserBalanceService userBalanceService,
            ICurrentUser currentUser)
        {
            _userBalanceService = userBalanceService;
            _currentUser = currentUser;
        }

        #endregion


        // ------------------------------------------ Get User Balances
        [HttpPost]
        public JsonResult GetUserBalances()
        {
            var balances = _userBalanceService.GetUserBalances(_currentUser.Id);

            return Json(new ApiResultViewModel { Data = balances });
        }




    }
}

src/Web/Controllers/PartialController.cs
using Infrastructure.Cache.Interfaces;
using System.Web.Mvc;

namespace Web.Controllers
{
    [AllowAnonymous]
    public class PartialController : Controller
    {

        #region ctor
        private readonly ISeoSettingCacheManager _siteSeoSettingCacheManager;

        public PartialController(ISeoSettingCacheManager siteSeoSettingCacheManager)
        {
            _siteSeoSettingCacheManager = siteSeoSettingCacheManager;
        }
        #endregion




        [ChildActionOnly]
        public PartialViewResult _Meta()
        {
            var siteSeoSetting = _siteSeoSettingCacheManager.GetDefaultSetting();

            return PartialView(siteSeoSetting);
        }

        [ChildActionOnly]
        public PartialViewResult  _Title()
        {
            var siteSeoSetting = _siteSeoSettingCacheManager.GetDefaultSetting();

            return PartialView(model: siteSeoSetting.Title);
        }

        [ChildActionOnly]
        public PartialViewResult _Copyright()
        {
            var siteSeoSetting = _siteSeoSettingCacheManager.GetDefaultSetting();

            return PartialView(model: siteSeoSetting);
        }

    }
}

src/Web/Areas/Admin/Views/Partial/_DashboardTitle.cshtml
@model DomainModels.Entities.Site.SiteSeoSetting

<a class="navbar-brand" href="javascript:void(0)">@Model.Title</a>

src/Web/Areas/Admin/Views/Partial/_RightMenu.cshtml
<div class="navbar-default sidebar" role="navigation">
    <div class="sidebar-nav navbar-collapse">
        <ul class="nav my-nav" id="side-menu">
            <li>
                <div class="signed-in">
                    @if (User.Identity.IsAuthenticated)
                    { @User.Identity.Name }
                    <span> خوش آمدید</span>
                </div>
            </li>
            <li><a href="/Admin/Dashboard/Show"><i class="fa fa-dashboard fa-fw fa-big"></i> داشبورد</a></li>
            @Html.Raw(Model)
        </ul>
    </div>
    <!-- /.sidebar-collapse -->
</div>

src/Web/Areas/Admin/Views/Partial/_ShowMessage.cshtml
@using Infrastructure.Messages;

@{
    ViewBag.Title = "پیام";

    bool haveTempData = TempData["Message"] != null;

    string msgBoxCssClass = string.Empty;
    Message Message = null;

    if (haveTempData)
    {
        Message = TempData["Message"] as Message;
        msgBoxCssClass = Message.IsSuccess ? "alert-success" : "alert-danger";
    }
}

<div class="row">
    <div class="col-lg-12">

        @if (haveTempData)
        {
            <div id="MsgBox" class="alert @msgBoxCssClass">
                @Html.Raw(Message.MessageBody)
            </div>

            <script>
                setTimeout(function () { HideMsgBox(); }, 3000);

                function HideMsgBox()
                {
                    document.getElementById("MsgBox").style.display = "none";
                }
            </script>
        }


    </div>
</div>

src/Web/Areas/Admin/Views/Partial/_TopMenu.cshtml
@model ViewModels.Access.TopMenuAccessViewModel

<ul class="nav navbar-top-links navbar-left navbar-me">
    <li class="dropdown">
        <a class="dropdown-toggle" data-toggle="dropdown" href="javascript:;">
            <i class="fa fa-user fa-fw fa-big"></i>  <i class="fa fa-caret-down"></i>
        </a>
        <ul class="dropdown-menu dropdown-user">
            <li>
                <a href="/Admin/Profile/Edit"><i class="fa fa-user fa-fw"></i> پروفایل</a>
            </li>
            <li class="divider"></li>
            <li>
                <a href="/Account/SignOut"><i class="fa fa-power-off fa-fw"></i> خروج</a>
            </li>
        </ul>
        <!-- /.dropdown-user -->
    </li>
    @if (Model.HasAccessTo_SiteSeoSetting || Model.HasAccessTo_ContactIfo)
    {
        <li class="dropdown">
            <a class="dropdown-toggle" data-toggle="dropdown" href="javascript:;">
                <i class="fa fa-gears fa-fw fa-big"></i>  <i class="fa fa-caret-down"></i>
            </a>
            <ul class="dropdown-menu dropdown-user">
                @if (Model.HasAccessTo_SiteSeoSetting)
                {
                    <li>
                        <a href="/Admin/SiteSeoSetting/Edit/1"><i class="fa fa-gear fa-fw"></i> تنظیمات سئو</a>
                    </li>
                }
                @if (Model.HasAccessTo_ContactIfo)
                {
                    <li>
                        <a href="/Admin/ContactInfo/Edit/1"><i class="fa fa-phone fa-fw"></i> اطلاعات تماس</a>
                    </li>
                }
            </ul>
            <!-- /.dropdown-page -->
        </li>
    }
    @if (Model.HasAccessTo_TopMenuShortContacts || Model.HasAccessTo_ContactUnreadCount)
    {
        <li class="dropdown">
            <a class="dropdown-toggle" data-toggle="dropdown" href="javascript:;">
                <i class="fa fa-envelope fa-fw fa-big"></i>
                @if (Model.HasAccessTo_TopMenuShortContacts)
                {
                    <i class="fa fa-caret-down"></i>
                }
                @if (Model.HasAccessTo_ContactUnreadCount)
                {
                    <span class="contact-nav-count">@{ Html.RenderAction("_ContactUnreadCount", "Partial", new { area = "Admin" }); }</span>
                }
            </a>
            @if (Model.HasAccessTo_TopMenuShortContacts)
            {
                <ul class="dropdown-menu dropdown-messages">
                    @{ Html.RenderAction("_TopMenuShortContacts", "Partial", new { area = "Admin" }); }
                    <li>
                        <a class="text-center" href="/Admin/SiteContact/">
                            <strong>مشاهده همه تماس ها</strong>
                        </a>
                    </li>
                </ul>
            }
            <!-- /.dropdown-contact -->
        </li>      
    }
    <li class="dropdown">
        <a class="dropdown-toggle" data-toggle="dropdown" href="javascript:;">
            <i class="fa fa-upload fa-fw fa-big"></i>  <i class="fa fa-caret-down"></i>
        </a>
        <ul class="dropdown-menu dropdown-user">
            <li>
                <a target="_blank" href="/Admin/UploadCenter/Create"><i class="fa fa-upload fa-fw"></i> آپلود فایل</a>
            </li>
            <li>
                <a target="_blank" href="/Admin/UploadCenter/"><i class="fa fa-upload fa-fw"></i> لیست فایل ها</a>
            </li>
        </ul>
        <!-- /.dropdown-page -->
    </li>
    <li class="dropdown">
        <a class="dropdown-toggle" target="_blank" href="/Home">
            <i class="fa fa-home fa-fw fa-big"></i>
        </a>
        <!-- /.dropdown-home -->
    </li>
</ul>

src/Web/Areas/Admin/Views/Partial/_TopMenuShortContacts.cshtml
@model IEnumerable<DomainModels.Entities.Site.SiteContact>


@foreach (var contact in @Model)
{
    <li>
        <a href="/Admin/SiteContact/Detail/@contact.Id">
            <div>
                <strong>@contact.FullName</strong>
                <span class="pull-left text-muted">
                    <em>@Html.ShowDateTime(contact.CreatedOn, ShamsiDateFormatType.ToPersianPro)</em>
                </span>
            </div>
            <div class="contact-cutted">@Html.ShowCuttedString(contact.Message, 40)</div>
        </a>
    </li>
    <li class="divider"></li>
}